#!/usr/bin/env python2
#-*- coding: utf-8 -*-

import sys
from pyeole.lock import acquire, release, is_locked
from eoleaaf.sambatranslator import SambaExport

from logging import getLogger

aaflog = getLogger("AAF")

def processfile(**kwargs):
    aaflog.info(20*'*')
    aaflog.info("*** Début de l'importation des comptes et des groupes")
    try:
        acquire('importaaf', level="system")
    except Exception as err:
        sys.exit(2)
    try:
        ##export TDB_NO_FSYNC=1
        samba_import = SambaExport(aaflog, debug=True)
        samba_import.run()
    except Exception as err:
        traceback.print_exc()
        release('impportaaf', level='system')
        sys.exit(3)
    aaflog.info("*** Fin de l'importation des comptes et des groupes")
    aaflog.info(20*'*')
    release('importaaf', level='system')
    sys.exit(0)


if __name__ == "__main__":
    processfile(*sys.argv[1:])
